
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5></h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <app-fw-cliente-cabecera [(Cliente)]="tClienteActual" [BloquearBuscar]="tBloquearBuscar" [Editar]="tEditar" (Buscar)="BuscarClientes($event)" (AbrirModal)="AbrirModalClientes()"></app-fw-cliente-cabecera>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Identificacion" role="tab" aria-controls="Identificacion" aria-selected="true" id="Identificacion-tab">Indentificación</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Documentos" role="tab" aria-controls="Documentos" aria-selected="true" id="Documentos-tab">Documentos</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Contacto" role="tab" aria-controls="Contacto" aria-selected="true" id="Contacto-tab">Contacto</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#InformacionPersonal" role="tab" aria-controls="InformacionPersonal" aria-selected="true" id="InformacionPersonal-tab">Información Personal</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#DireccFacturacion" role="tab" aria-controls="DireccFacturacion" aria-selected="true" id="DireccFacturacion-tab">Dirección de Facturación</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#DireccEnvio" role="tab" aria-controls="DireccEnvio" aria-selected="true" id="DireccEnvio-tab">Dirección de Envío</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Identificacion-tab" id="Identificacion">
            <app-fw-cliente-informacion [(Cliente)]="tClienteActual" [BloquearBuscar]="tBloquearBuscar" [Generos]="tGeneros" [Estatus]="tEstatus" [Ocupaciones]="tOcupaciones" [Situaciones]="tSituaciones" [TiposPrecios]="tTiposPrecios" [EstadoCiviles]="tEstadociviles" [TiposClientes]="tTiposClientes" [Condiciones]="tCondiciones"></app-fw-cliente-informacion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Documentos-tab" id="Documentos">
            <app-fw-cliente-documentos [(Cliente)]="tClienteActual" [Empresa]="tEmpresaActual" [TiposDocumentos]="tTiposDocumentos" [Usuario]="tUsuarioActual" [Configuracion]="tConfiguracion" [(ManejarImagen)]="tManejarImagen" (EliminarDocumento)="EliminarDocumento($event)"></app-fw-cliente-documentos>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Contacto-tab" id="Contacto">
            <app-fw-cliente-contacto [(Cliente)]="tClienteActual" [Empresa]="tEmpresaActual" [Usuario]="tUsuarioActual" (EliminarTelefono)="EliminarTelefono($event)"></app-fw-cliente-contacto>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="InformacionPersonal-tab" id="InformacionPersonal">
            <app-fw-cliente-nacimiento [(Cliente)]="tClienteActual" [Paises]="tPaises"></app-fw-cliente-nacimiento>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="DireccFacturacion-tab" id="DireccFacturacion">
            <app-fw-cliente-facturacion [(Cliente)]="tClienteActual" [Paises]="tPaises"></app-fw-cliente-facturacion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="DireccEnvio-tab" id="DireccEnvio">
            <app-fw-cliente-envio [(Cliente)]="tClienteActual" [Paises]="tPaises"></app-fw-cliente-envio>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 d-flex justify-content-end">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-danger btn-icon-split" type="button" (click)="Eliminar()" [disabled]="!tHabilitarEliminar"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Eliminar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>